{
	"factory": {
		"id": "route-timer",
		"type": "entaxy.runtime.route",
		"parent": "route-scheduled",
		"isAbstract": false,
		"displayName": "TIMER",
		"description": "The Timer component is used to generate message exchanges when a timer fires. You can only consume events from this endpoint. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/route_descriptions.html#_timer\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/timer-component.html\">Camel docs</a>"
	},
	"entaxy.runtime.route": {
		"routePattern": "TIMER"
	},
	"fields": {
		"runExclusive": {
			"displayName": "Run Exclusive",
			"description": "Run only on one node of cluster. For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/master-component.html\">Camel docs</a>",
			"type": "Boolean",
			"immutable": true,
			"defaultValue": true,
			"required": true,
			"@VARIANTS": {
				"property": "exclusiveMode",
				"values": {
					"BOTH": {
						"defaultValue": false
					},
					"EXCLUSIVE_ONLY": {
						"isHidden": true,
						"fixedValue": true,
						"defaultValue": true
					},
					"NON_EXCLUSIVE_ONLY": {
						"isHidden": true,
						"fixedValue": false,
						"defaultValue": false
					}
				}
			}
		},
		"exclusivePrefix": {
			"type": "String",
			"isHidden": true,
			"condition": "${runExclusive}",
			"@INTERNAL": true,
			"required": true,
			"defaultValue": {
				"@CALCULATED": {
					"expression": "master:${objectId}:",
					"lazy": true
				}
			}
		}
	},
	"outputs": {
		"init": {
			"isDefault": true,
			"config": {
				"configurable": false
			},
			"fields": {
				"runExclusive": {},
				"exclusivePrefix": {},
				"routeContent": {
					"displayName": "Route content"
				},
				"timerName": {
            		"group": "general"
        		},
				"@IMPORT": [
					{
						"sourceFactoryId": "model-timer",
						"location": "outputs.init.fields",
						"prefix": ""
					}
				]
			}
		}
	}
}
